## toil 3.18.0

=== Makefile ===
# Copyright (C) 2015-2018 UCSC Computational Genomics Lab
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

define help

Supported targets: prepare, develop, docs, sdist, clean, test, pypi, docker and push_docker.

Please note that all build targets require a virtualenv to be active.

The 'prepare' target installs Toil's build requirements into the current virtualenv.

The 'develop' target creates an editable install of Toil and its runtime requirements in the
current virtualenv. The install is called 'editable' because changes to the source code
immediately affect the virtualenv. Set the 'extras' variable to ensure that the 'develop' target
installs support for extras; some tests require extras to be installed. Consult setup.py for the
list of supported extras. To install Toil in develop mode with all extras, run

	make develop extras=[all]

The 'sdist' target creates a source distribution of Toil. It is used for some unit tests and for
installing the currently checked out version of Toil into the appliance image.

The 'clean' target cleans up the side effects of 'develop', 'sdist', 'docs', 'pypi' and 'docker'
on this machine. It does not undo externally visible effects like removing packages already
uploaded to PyPI.

The 'docs' target uses Sphinx to create HTML documentation in the docs/_build directory

Targets are provided to run Toil's tests. Note that these targets do *not* automatically install
Toil's dependencies; it is recommended to 'make develop' before running any of them.

The 'test' target runs Toil's unit tests serially with pytest. It will run some docker tests and
setup. If you wish to avoid this, use the 'test_offline' target instead. Note: this target does not
capture output from the terminal. For any of the test targets, set the 'tests' variable to run a
particular test, e.g.

	make test tests=src/toil/test/sort/sortTest.py::SortTest::testSort

The 'test_offline' target is similar to 'test' but it skips the docker dependent tests and their
setup. It can also be used to invoke individual tests, e.g.

    make test_offline tests_local=src/toil/test/sort/sortTest.py::SortTest::testSort

The 'integration_test_local' target runs toil's integration tests. These are more thorough but also
more costly than the regular unit tests. For the AWS integration tests to run, the environment
variable 'TOIL_AWS_KEYNAME' must be set. This user will be charged for expenses acrued during the
test. This test does not capture terminal output.

The 'integration_test' target is the same as the previous except that it does capture output.

The 'test_parallel' target runs Toil's unit tests in parallel and generates an XML test report
from the results. It is designed to be used only in Jenkins.

The 'pypi' target publishes the current commit of Toil to PyPI after enforcing that the working
copy and the index are clean.

The 'docker' target builds the Docker images that make up the Toil appliance. You may set the
TOIL_DOCKER_REGISTRY variable to override the default registry that the 'push_docker' target pushes
the appliance images to, for example:

	TOIL_DOCKER_REGISTRY=quay.io/USER make docker

If Docker is not installed, Docker-related targets tasks and tests will be skipped. The
same can be achieved by setting TOIL_DOCKER_REGISTRY to an empty string.

The 'push_docker' target pushes the Toil appliance images to a remote Docker registry. It
requires the TOIL_DOCKER_REGISTRY variable to be set to a value other than the default to avoid
accidentally pushing to the official Docker registry for Toil.

The TOIL_DOCKER_NAME environment variable can be set to customize the appliance image name that
is created by the 'docker' target and pushed by the 'push_docker' target. The Toil team\'s
continuous integration system overrides this variable to avoid conflicts between concurrently
executing builds for the same revision, e.g. toil-pr and toil-it.

endef
export help
help:
	@printf "$$help"

# This Makefile uses bash features like printf and <()
SHELL=bash
python=python2.7
pip=pip2.7
tests=src
tests_local=src/toil/test
# do slightly less than travis timeout of 10 min.
pytest_args_local=-vv --timeout=530
extras=

dist_version:=$(shell $(python) version_template.py distVersion)
sdist_name:=toil-$(dist_version).tar.gz

docker_tag:=$(shell $(python) version_template.py dockerTag)
default_docker_registry:=$(shell $(python) version_template.py dockerRegistry)
docker_path:=$(strip $(shell which docker))

ifdef docker_registry
    export TOIL_DOCKER_REGISTRY?=$(docker_registry)
else
    export TOIL_DOCKER_REGISTRY?=$(default_docker_registry)
endif
export TOIL_DOCKER_NAME?=$(shell $(python) version_template.py dockerName)
export TOIL_APPLIANCE_SELF:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME):$(docker_tag)

ifndef BUILD_NUMBER
green=\033[0;32m
normal=\033[0m
red=\033[0;31m
cyan=\033[0;36m
endif

develop: check_venv
	$(pip) install -e .$(extras)
clean_develop: check_venv
	- $(pip) uninstall -y toil
	- rm -rf src/*.egg-info
	- rm src/toil/version.py

sdist: dist/$(sdist_name)
dist/$(sdist_name): check_venv
	@test -f dist/$(sdist_name) && mv dist/$(sdist_name) dist/$(sdist_name).old || true
	$(python) setup.py sdist
	@test -f dist/$(sdist_name).old \
	    && ( cmp -s <(tar -xOzf dist/$(sdist_name)) <(tar -xOzf dist/$(sdist_name).old) \
	         && mv dist/$(sdist_name).old dist/$(sdist_name) \
	         && printf "$(cyan)No significant changes to sdist, reinstating backup.$(normal)\n" \
	         || rm dist/$(sdist_name).old ) \
	    || true
clean_sdist:
	- rm -rf dist
	- rm src/toil/version.py


# This target will skip building docker and all docker based tests
test_offline: check_venv check_build_reqs
	@printf "$(cyan)All docker related tests will be skipped.$(normal)\n"
	TOIL_SKIP_DOCKER=True \
		$(python) -m pytest $(pytest_args_local) $(tests_local)

# The auto-deployment test needs the docker appliance
test: check_venv check_build_reqs docker
	TOIL_APPLIANCE_SELF=$(docker_registry)/$(docker_base_name):$(docker_tag) \
	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)

# For running integration tests locally in series (uses the -s argument for pyTest)
integration_test_local: check_venv check_build_reqs sdist push_docker
	TOIL_TEST_INTEGRATIVE=True \
		$(python) run_tests.py --local integration-test $(tests)

# These two targets are for backwards compatibility but will be removed shortly
# FIXME when they are removed add check_running_on_jenkins to the jenkins targets
test_parallel: jenkins_test_parallel

integration_test: jenkins_test_integration

# This target is designed only for use on Jenkins
jenkins_test_parallel: check_venv check_build_reqs docker
	$(python) run_tests.py test $(tests)

# This target is designed only for use on Jenkins
jenkins_test_integration: check_venv check_build_reqs sdist push_docker
	TOIL_TEST_INTEGRATIVE=True $(python) run_tests.py integration-test $(tests)


pypi: check_venv check_clean_working_copy check_running_on_jenkins
	$(pip) install setuptools --upgrade
	$(python) setup.py egg_info sdist bdist_egg upload
clean_pypi:
	- rm -rf build/


ifdef TOIL_DOCKER_REGISTRY

docker_image:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME)
docker_short_tag:=$(shell $(python) version_template.py dockerShortTag)
docker_minimal_tag:=$(shell $(python) version_template.py dockerMinimalTag)

grafana_image:=$(TOIL_DOCKER_REGISTRY)/toil-grafana
prometheus_image:=$(TOIL_DOCKER_REGISTRY)/toil-prometheus
mtail_image:=$(TOIL_DOCKER_REGISTRY)/toil-mtail

define tag_docker
	@printf "$(cyan)Removing old tag $2. This may fail but that's expected.$(normal)\n"
	-docker rmi $2
	docker tag $1 $2
	@printf "$(green)Tagged appliance image $1 as $2.$(normal)\n"
endef


docker: docker/Dockerfile
	@set -ex \
	; cd docker \
	; docker build --tag=$(docker_image):$(docker_tag) -f Dockerfile .

	@set -ex \
	; cd dashboard/prometheus \
	; docker build --tag=$(prometheus_image):$(docker_tag) -f Dockerfile .

	@set -ex \
	; cd dashboard/grafana \
	; docker build --tag=$(grafana_image):$(docker_tag) -f Dockerfile .

	@set -ex \
	; cd dashboard/mtail \
	; docker build --tag=$(mtail_image):$(docker_tag) -f Dockerfile .

ifdef BUILD_NUMBER
	$(call tag_docker,$(docker_image):$(docker_tag),$(docker_image):$(docker_short_tag))
	$(call tag_docker,$(docker_image):$(docker_tag),$(docker_image):$(docker_minimal_tag))
endif

docker/$(sdist_name): dist/$(sdist_name)
	cp $< $@

docker/Dockerfile: docker/Dockerfile.py docker/$(sdist_name)
	_TOIL_SDIST_NAME=$(sdist_name) $(python) docker/Dockerfile.py > $@

clean_docker:
	-rm docker/Dockerfile docker/$(sdist_name)
	-docker rmi $(docker_image):$(docker_tag)

obliterate_docker: clean_docker
	-@set -x \
	; docker images $(docker_image) \
	    | tail -n +2 | awk '{print $$1 ":" $$2}' | uniq \
	    | xargs docker rmi
	-docker images -qf dangling=true | xargs docker rmi

push_docker: docker check_docker_registry
	for i in $$(seq 1 5); do docker push $(docker_image):$(docker_tag) && break || sleep 60; done
	for i in $$(seq 1 5); do docker push $(grafana_image):$(docker_tag) && break || sleep 60; done
	for i in $$(seq 1 5); do docker push $(prometheus_image):$(docker_tag) && break || sleep 60; done
	for i in $$(seq 1 5); do docker push $(mtail_image):$(docker_tag) && break || sleep 60; done

else

docker docker_push clean_docker:
	@printf "$(cyan)Skipping '$@' target as TOIL_DOCKER_REGISTRY is empty or Docker is not installed.$(normal)\n"

endif


docs: check_venv check_build_reqs
	# Strange, but seemingly benign Sphinx warning floods stderr if not filtered:
	cd docs && make html
clean_docs: check_venv
	- cd docs && make clean


clean: clean_develop clean_sdist clean_pypi clean_docs


check_build_reqs:
	@$(python) -c 'import mock; import pytest' \
		|| ( printf "$(red)Build requirements are missing. Run 'make prepare' to install them.$(normal)\n" ; false )


prepare: check_venv
	$(pip) install sphinx==1.5.5 mock==1.0.1 pytest==3.6.2 stubserver==1.0.1 \
		pytest-timeout==1.2.0 cwltest


check_venv:
	@$(python) -c 'import sys, os; sys.exit( int( 0 if "VIRTUAL_ENV" in os.environ else 1 ) )' \
		|| ( printf "$(red)A virtualenv must be active.$(normal)\n" ; false )


check_clean_working_copy:
	@printf "$(green)Checking if your working copy is clean ...$(normal)\n"
	@git diff --exit-code > /dev/null \
		|| ( printf "$(red)Your working copy looks dirty.$(normal)\n" ; false )
	@git diff --cached --exit-code > /dev/null \
		|| ( printf "$(red)Your index looks dirty.$(normal)\n" ; false )
	@test -z "$$(git ls-files --other --exclude-standard --directory)" \
		|| ( printf "$(red)You have untracked files:$(normal)\n" \
			; git ls-files --other --exclude-standard --directory \
			; false )


check_running_on_jenkins:
	@printf "$(green)Checking if running on Jenkins ...$(normal)\n"
	@test -n "$$BUILD_NUMBER" \
		|| ( printf "$(red)This target should only be invoked on Jenkins.$(normal)\n" ; false )


check_docker_registry:
	@test "$(default_docker_registry)" != "$(TOIL_DOCKER_REGISTRY)" || test -n "$$BUILD_NUMBER" \
		|| ( printf '$(red)Please set TOIL_DOCKER_REGISTRY to a value other than \
	$(default_docker_registry) and ensure that you have permissions to push \
	to that registry. Only CI builds should push to $(default_docker_registry).$(normal)\n' ; false )


check_cpickle:
	# fail if cPickle.dump(s) called without HIGHEST_PROTOCOL
	# https://github.com/BD2KGenomics/toil/issues/1503
	! find src -iname '*.py' | xargs grep 'cPickle.dump' | grep --invert-match HIGHEST_PROTOCOL

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Toil.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Toil.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Toil"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Toil"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
toil (3.18.0-2) unstable; urgency=medium

  * Remove errant recommend on python3-futures and depends on python3-pytest*
    (Closes: #919228)
  * Refined the package description, added 'Provides: cwl-runner'
  * Remove the partial mesos support until python3-mesos is packaged
  * Suggests: docker.io | singularity-container | docker-ce
  * Added debian/TODO, updated debian/README.{debian,source}
  * Add basic smoke test ( `toil* --help` ) as an AutoPkgTest

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 13 Jan 2019 23:25:16 -0800

toil (3.18.0-1) unstable; urgency=medium

  * Initial release (Closes: #851365)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 07 Jan 2019 02:04:03 -0800

=== debian/control ===
Source: toil
Section: net
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Michael R. Crusoe <michael.crusoe@gmail.com>
Build-Depends: debhelper (>= 11~),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-docker,
	       python3-dill,
	       python3-future,
	       python3-pytest-xdist,
               cwltool,
# documentation
               python3-urllib3,
               python3-chardet,
               python3-sphinx
Standards-Version: 4.3.0
Homepage: https://github.com/BD2KGenomics/toil
Vcs-Git: https://salsa.debian.org/med-team/toil.git
Vcs-Browser: https://salsa.debian.org/med-team/toil

Package: toil
Architecture: all
Provides: cwl-runner
Depends: ${python3:Depends}, ${misc:Depends},
         cwltool
Recommends:
         python3-boto, python3-boto3,
# for google cloud support
         python3-libcloud
# for mesos support, but needs python3-mesos first
#         python3-protobuf,
Suggests: docker.io | singularity-container | docker-ce, python3-azure, python3-azure-storage
#Suggests: python-toil-doc
Description: cross-platform workflow engine
 Toil is a scalable, efficient, cross-platform and easy-to-use workflow
 engine in pure Python.  It works with several well established load
 balancers like Slurm or the Sun Grid Engine.  Toil is also compatible with
 the Common Workflow Language (CWL) via the "toil-cwl-runner" interface, which
 this package make available via the Debian alternativess system under the
 alias "cwl-runner".

#Package: python-toil-doc
#Architecture: all
#Section: doc
#Depends: ${sphinxdoc:Depends}, ${misc:Depends}
#Description: cross-platform workflow engine (common documentation)
# The documentation of Toil shall go here at some point.
# .
# This is the common documentation package.

=== debian/tests/control ===
Tests: smoke-test
Depends: toil

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# HTTP site (basic)
#http://example.com/downloads.html \
#  files/toil-([\d\.]+)\.tar\.gz debian uupdate

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%toil-$1.tar.gz%" \
   https://github.com/BD2KGenomics/toil/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# PyPI
#opts="uversionmangle=s%a(\d).dev(?)%~alpha$1.$2%" \
#    https://pypi.debian.net/toil/toil-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## toil 3.20.0

=== Makefile ===
--- 
+++ 
@@ -90,8 +90,8 @@
 
 # This Makefile uses bash features like printf and <()
 SHELL=bash
-python=python2.7
-pip=pip2.7
+python=python
+pip=pip
 tests=src
 tests_local=src/toil/test
 # do slightly less than travis timeout of 10 min.
@@ -267,8 +267,7 @@
 
 
 prepare: check_venv
-	$(pip) install sphinx==1.5.5 mock==1.0.1 pytest==3.6.2 stubserver==1.0.1 \
-		pytest-timeout==1.2.0 cwltest
+	$(pip) install mock==1.0.1 pytest==4.3.1 pytest-cov==2.6.1 stubserver==1.0.1 pytest-timeout==1.3.3 cwltest
 
 
 check_venv:
@@ -307,3 +306,4 @@
 	! find src -iname '*.py' | xargs grep 'cPickle.dump' | grep --invert-match HIGHEST_PROTOCOL
 
 
+.PHONY: help \

=== debian/changelog ===
toil (3.20.0-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Make the build reproducible, patch from lamby@debian.org; thanks!
    (Closes: #925191)
  * Update the patches.

  [ Andreas Tille ]
  * debhelper-compat 12
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.4.0

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Wed, 20 Mar 2019 21:46:34 -0500

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,42 @@
 Source: toil
-Section: net
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Michael R. Crusoe <michael.crusoe@gmail.com>
-Build-Depends: debhelper (>= 11~),
+Section: net
+Priority: optional
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
                python3-setuptools,
                python3-docker,
-	       python3-dill,
-	       python3-future,
-	       python3-pytest-xdist,
+               python3-dill,
+               python3-future,
+               python3-pytest-xdist,
                cwltool,
 # documentation
                python3-urllib3,
                python3-chardet,
                python3-sphinx
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org/med-team/toil
+Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil
-Vcs-Git: https://salsa.debian.org/med-team/toil.git
-Vcs-Browser: https://salsa.debian.org/med-team/toil
 
 Package: toil
 Architecture: all
-Provides: cwl-runner
-Depends: ${python3:Depends}, ${misc:Depends},
+Depends: ${python3:Depends},
+         ${misc:Depends},
          cwltool
-Recommends:
-         python3-boto, python3-boto3,
+Recommends: python3-boto,
+            python3-boto3,
 # for google cloud support
-         python3-libcloud
+            python3-libcloud
 # for mesos support, but needs python3-mesos first
 #         python3-protobuf,
-Suggests: docker.io | singularity-container | docker-ce, python3-azure, python3-azure-storage
+Suggests: docker.io | singularity-container | docker-ce,
+          python3-azure,
+          python3-azure-storage
+Provides: cwl-runner
 #Suggests: python-toil-doc
 Description: cross-platform workflow engine
  Toil is a scalable, efficient, cross-platform and easy-to-use workflow

## toil 3.21.0

=== Makefile ===
--- 
+++ 
@@ -59,9 +59,6 @@
 
 The 'integration_test' target is the same as the previous except that it does capture output.
 
-The 'test_parallel' target runs Toil's unit tests in parallel and generates an XML test report
-from the results. It is designed to be used only in Jenkins.
-
 The 'pypi' target publishes the current commit of Toil to PyPI after enforcing that the working
 copy and the index are clean.
 
@@ -87,6 +84,10 @@
 export help
 help:
 	@printf "$$help"
+
+
+
+
 
 # This Makefile uses bash features like printf and <()
 SHELL=bash
@@ -102,14 +103,10 @@
 sdist_name:=toil-$(dist_version).tar.gz
 
 docker_tag:=$(shell $(python) version_template.py dockerTag)
-default_docker_registry:=$(shell $(python) version_template.py dockerRegistry)
+default_docker_registry:=quay.io/ucsc_cgl
 docker_path:=$(strip $(shell which docker))
 
-ifdef docker_registry
-    export TOIL_DOCKER_REGISTRY?=$(docker_registry)
-else
-    export TOIL_DOCKER_REGISTRY?=$(default_docker_registry)
-endif
+export TOIL_DOCKER_REGISTRY?=$(shell $(python) version_template.py dockerRegistry)
 export TOIL_DOCKER_NAME?=$(shell $(python) version_template.py dockerName)
 export TOIL_APPLIANCE_SELF:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME):$(docker_tag)
 
@@ -122,12 +119,14 @@
 
 develop: check_venv
 	$(pip) install -e .$(extras)
+
 clean_develop: check_venv
 	- $(pip) uninstall -y toil
 	- rm -rf src/*.egg-info
 	- rm src/toil/version.py
 
 sdist: dist/$(sdist_name)
+
 dist/$(sdist_name): check_venv
 	@test -f dist/$(sdist_name) && mv dist/$(sdist_name) dist/$(sdist_name).old || true
 	$(python) setup.py sdist
@@ -137,48 +136,35 @@
 	         && printf "$(cyan)No significant changes to sdist, reinstating backup.$(normal)\n" \
 	         || rm dist/$(sdist_name).old ) \
 	    || true
+
 clean_sdist:
 	- rm -rf dist
 	- rm src/toil/version.py
 
+
+# We always claim to be Travis, so that local test runs will not skip Travis tests.
+# Gitlab doesn't run tests via the Makefile.
 
 # This target will skip building docker and all docker based tests
 test_offline: check_venv check_build_reqs
 	@printf "$(cyan)All docker related tests will be skipped.$(normal)\n"
 	TOIL_SKIP_DOCKER=True \
-		$(python) -m pytest $(pytest_args_local) $(tests_local)
+	TRAVIS=true \
+	    $(python) -m pytest $(pytest_args_local) $(tests_local)
 
 # The auto-deployment test needs the docker appliance
 test: check_venv check_build_reqs docker
-	TOIL_APPLIANCE_SELF=$(docker_registry)/$(docker_base_name):$(docker_tag) \
+	TRAVIS=true \
 	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)
 
 # For running integration tests locally in series (uses the -s argument for pyTest)
 integration_test_local: check_venv check_build_reqs sdist push_docker
-	TOIL_TEST_INTEGRATIVE=True \
-		$(python) run_tests.py --local integration-test $(tests)
-
-# These two targets are for backwards compatibility but will be removed shortly
-# FIXME when they are removed add check_running_on_jenkins to the jenkins targets
-test_parallel: jenkins_test_parallel
-
-integration_test: jenkins_test_integration
-
-# This target is designed only for use on Jenkins
-jenkins_test_parallel: check_venv check_build_reqs docker
-	$(python) run_tests.py test $(tests)
-
-# This target is designed only for use on Jenkins
-jenkins_test_integration: check_venv check_build_reqs sdist push_docker
-	TOIL_TEST_INTEGRATIVE=True $(python) run_tests.py integration-test $(tests)
-
-
-pypi: check_venv check_clean_working_copy check_running_on_jenkins
-	$(pip) install setuptools --upgrade
-	$(python) setup.py egg_info sdist bdist_egg upload
-clean_pypi:
-	- rm -rf build/
-
+	TRAVIS=true \
+	    $(python) run_tests.py --local integration-test $(tests)
+
+test_integration: check_venv check_build_reqs docker
+	TRAVIS=true \
+	    $(python) run_tests.py integration-test $(tests)
 
 ifdef TOIL_DOCKER_REGISTRY
 
@@ -197,7 +183,6 @@
 	@printf "$(green)Tagged appliance image $1 as $2.$(normal)\n"
 endef
 
-
 docker: docker/Dockerfile
 	@set -ex \
 	; cd docker \
@@ -229,13 +214,6 @@
 clean_docker:
 	-rm docker/Dockerfile docker/$(sdist_name)
 	-docker rmi $(docker_image):$(docker_tag)
-
-obliterate_docker: clean_docker
-	-@set -x \
-	; docker images $(docker_image) \
-	    | tail -n +2 | awk '{print $$1 ":" $$2}' | uniq \
-	    | xargs docker rmi
-	-docker images -qf dangling=true | xargs docker rmi
 
 push_docker: docker check_docker_registry
 	for i in $$(seq 1 5); do docker push $(docker_image):$(docker_tag) && break || sleep 60; done
@@ -254,26 +232,22 @@
 docs: check_venv check_build_reqs
 	# Strange, but seemingly benign Sphinx warning floods stderr if not filtered:
 	cd docs && make html
+
 clean_docs: check_venv
 	- cd docs && make clean
 
-
 clean: clean_develop clean_sdist clean_pypi clean_docs
-
 
 check_build_reqs:
 	@$(python) -c 'import mock; import pytest' \
 		|| ( printf "$(red)Build requirements are missing. Run 'make prepare' to install them.$(normal)\n" ; false )
 
-
 prepare: check_venv
 	$(pip) install mock==1.0.1 pytest==4.3.1 pytest-cov==2.6.1 stubserver==1.0.1 pytest-timeout==1.3.3 cwltest
-
 
 check_venv:
 	@$(python) -c 'import sys, os; sys.exit( int( 0 if "VIRTUAL_ENV" in os.environ else 1 ) )' \
 		|| ( printf "$(red)A virtualenv must be active.$(normal)\n" ; false )
-
 
 check_clean_working_copy:
 	@printf "$(green)Checking if your working copy is clean ...$(normal)\n"
@@ -286,24 +260,28 @@
 			; git ls-files --other --exclude-standard --directory \
 			; false )
 
-
-check_running_on_jenkins:
-	@printf "$(green)Checking if running on Jenkins ...$(normal)\n"
-	@test -n "$$BUILD_NUMBER" \
-		|| ( printf "$(red)This target should only be invoked on Jenkins.$(normal)\n" ; false )
-
-
 check_docker_registry:
 	@test "$(default_docker_registry)" != "$(TOIL_DOCKER_REGISTRY)" || test -n "$$BUILD_NUMBER" \
 		|| ( printf '$(red)Please set TOIL_DOCKER_REGISTRY to a value other than \
 	$(default_docker_registry) and ensure that you have permissions to push \
 	to that registry. Only CI builds should push to $(default_docker_registry).$(normal)\n' ; false )
 
-
 check_cpickle:
 	# fail if cPickle.dump(s) called without HIGHEST_PROTOCOL
 	# https://github.com/BD2KGenomics/toil/issues/1503
 	! find src -iname '*.py' | xargs grep 'cPickle.dump' | grep --invert-match HIGHEST_PROTOCOL
 
-
 .PHONY: help \
+		prepare \
+		check_cpickle \
+		develop clean_develop \
+		sdist clean_sdist \
+		test test_offline test_parallel integration_test \
+		pypi clean_pypi \
+		docs clean_docs \
+		clean \
+		check_venv \
+		check_clean_working_copy \
+		check_running_on_jenkins \
+		check_build_reqs \
+		docker clean_docker push_docker

=== debian/changelog ===
toil (3.21.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 17 Nov 2019 15:13:56 +0100

## toil 3.23.1

=== Makefile ===
--- 
+++ 
@@ -99,23 +99,20 @@
 pytest_args_local=-vv --timeout=530
 extras=
 
-dist_version:=$(shell $(python) version_template.py distVersion)
-sdist_name:=toil-$(dist_version).tar.gz
+sdist_name:=toil-$(shell $(python) version_template.py distVersion).tar.gz
 
 docker_tag:=$(shell $(python) version_template.py dockerTag)
-default_docker_registry:=quay.io/ucsc_cgl
+default_docker_registry:=$(shell $(python) version_template.py dockerRegistry)
 docker_path:=$(strip $(shell which docker))
 
-export TOIL_DOCKER_REGISTRY?=$(shell $(python) version_template.py dockerRegistry)
-export TOIL_DOCKER_NAME?=$(shell $(python) version_template.py dockerName)
+export TOIL_DOCKER_REGISTRY?=quay.io/ucsc_cgl
+export TOIL_DOCKER_NAME?=toil
 export TOIL_APPLIANCE_SELF:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME):$(docker_tag)
 
-ifndef BUILD_NUMBER
 green=\033[0;32m
 normal=\033[0m
 red=\033[0;31m
 cyan=\033[0;36m
-endif
 
 develop: check_venv
 	$(pip) install -e .$(extras)
@@ -184,26 +181,27 @@
 endef
 
 docker: docker/Dockerfile
+	# Pre-pull everything
+	for i in $$(seq 1 11); do if [[ $$i == "11" ]] ; then exit 1 ; fi ; docker pull ubuntu:16.04 && break || sleep 60; done
+	for i in $$(seq 1 11); do if [[ $$i == "11" ]] ; then exit 1 ; fi ; docker pull prom/prometheus:v2.0.0 && break || sleep 60; done
+	for i in $$(seq 1 11); do if [[ $$i == "11" ]] ; then exit 1 ; fi ; docker pull grafana/grafana && break || sleep 60; done
+	for i in $$(seq 1 11); do if [[ $$i == "11" ]] ; then exit 1 ; fi ; docker pull sscaling/mtail && break || sleep 60; done
+
 	@set -ex \
 	; cd docker \
 	; docker build --tag=$(docker_image):$(docker_tag) -f Dockerfile .
-
+	
 	@set -ex \
 	; cd dashboard/prometheus \
 	; docker build --tag=$(prometheus_image):$(docker_tag) -f Dockerfile .
-
+	
 	@set -ex \
 	; cd dashboard/grafana \
 	; docker build --tag=$(grafana_image):$(docker_tag) -f Dockerfile .
-
+	
 	@set -ex \
 	; cd dashboard/mtail \
 	; docker build --tag=$(mtail_image):$(docker_tag) -f Dockerfile .
-
-ifdef BUILD_NUMBER
-	$(call tag_docker,$(docker_image):$(docker_tag),$(docker_image):$(docker_short_tag))
-	$(call tag_docker,$(docker_image):$(docker_tag),$(docker_image):$(docker_minimal_tag))
-endif
 
 docker/$(sdist_name): dist/$(sdist_name)
 	cp $< $@
@@ -215,11 +213,12 @@
 	-rm docker/Dockerfile docker/$(sdist_name)
 	-docker rmi $(docker_image):$(docker_tag)
 
-push_docker: docker check_docker_registry
-	for i in $$(seq 1 5); do docker push $(docker_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 5); do docker push $(grafana_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 5); do docker push $(prometheus_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 5); do docker push $(mtail_image):$(docker_tag) && break || sleep 60; done
+push_docker: docker
+	# Weird if logic is so we fail if all the pushes fail
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(docker_image):$(docker_tag) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(grafana_image):$(docker_tag) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(prometheus_image):$(docker_tag) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(mtail_image):$(docker_tag) && break || sleep 60; done
 
 else
 
@@ -259,12 +258,6 @@
 		|| ( printf "$(red)You have untracked files:$(normal)\n" \
 			; git ls-files --other --exclude-standard --directory \
 			; false )
-
-check_docker_registry:
-	@test "$(default_docker_registry)" != "$(TOIL_DOCKER_REGISTRY)" || test -n "$$BUILD_NUMBER" \
-		|| ( printf '$(red)Please set TOIL_DOCKER_REGISTRY to a value other than \
-	$(default_docker_registry) and ensure that you have permissions to push \
-	to that registry. Only CI builds should push to $(default_docker_registry).$(normal)\n' ; false )
 
 check_cpickle:
 	# fail if cPickle.dump(s) called without HIGHEST_PROTOCOL

=== debian/changelog ===
toil (3.23.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Removed patch 'debian/patches/fix_tests' which was applied upstream

 -- Steffen Moeller <moeller@debian.org>  Thu, 06 Feb 2020 00:15:16 +0100

## toil 3.24.0

=== Makefile ===
--- 
+++ 
@@ -11,10 +11,11 @@
 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 # See the License for the specific language governing permissions and
 # limitations under the License.
+include common.mk
 
 define help
 
-Supported targets: prepare, develop, docs, sdist, clean, test, pypi, docker and push_docker.
+Supported targets: prepare, develop, docs, sdist, clean, test, docker and push_docker.
 
 Please note that all build targets require a virtualenv to be active.
 
@@ -31,7 +32,7 @@
 The 'sdist' target creates a source distribution of Toil. It is used for some unit tests and for
 installing the currently checked out version of Toil into the appliance image.
 
-The 'clean' target cleans up the side effects of 'develop', 'sdist', 'docs', 'pypi' and 'docker'
+The 'clean' target cleans up the side effects of 'develop', 'sdist', 'docs', and 'docker'
 on this machine. It does not undo externally visible effects like removing packages already
 uploaded to PyPI.
 
@@ -41,26 +42,15 @@
 Toil's dependencies; it is recommended to 'make develop' before running any of them.
 
 The 'test' target runs Toil's unit tests serially with pytest. It will run some docker tests and
-setup. If you wish to avoid this, use the 'test_offline' target instead. Note: this target does not
-capture output from the terminal. For any of the test targets, set the 'tests' variable to run a
-particular test, e.g.
+setup. Note: this target does not capture output from the terminal. For any of the test targets,
+set the 'tests' variable to run a particular test, e.g.
 
 	make test tests=src/toil/test/sort/sortTest.py::SortTest::testSort
 
-The 'test_offline' target is similar to 'test' but it skips the docker dependent tests and their
-setup. It can also be used to invoke individual tests, e.g.
-
-    make test_offline tests_local=src/toil/test/sort/sortTest.py::SortTest::testSort
-
-The 'integration_test_local' target runs toil's integration tests. These are more thorough but also
+The 'integration_test' target runs toil's integration tests. These are more thorough but also
 more costly than the regular unit tests. For the AWS integration tests to run, the environment
-variable 'TOIL_AWS_KEYNAME' must be set. This user will be charged for expenses acrued during the
-test. This test does not capture terminal output.
-
-The 'integration_test' target is the same as the previous except that it does capture output.
-
-The 'pypi' target publishes the current commit of Toil to PyPI after enforcing that the working
-copy and the index are clean.
+variable 'TOIL_AWS_KEYNAME' must be set. This user will be charged for expenses accrued during the
+test.
 
 The 'docker' target builds the Docker images that make up the Toil appliance. You may set the
 TOIL_DOCKER_REGISTRY variable to override the default registry that the 'push_docker' target pushes
@@ -84,9 +74,6 @@
 export help
 help:
 	@printf "$$help"
-
-
-
 
 
 # This Makefile uses bash features like printf and <()
@@ -101,14 +88,6 @@
 
 sdist_name:=toil-$(shell $(python) version_template.py distVersion).tar.gz
 
-docker_tag:=$(shell $(python) version_template.py dockerTag)
-default_docker_registry:=$(shell $(python) version_template.py dockerRegistry)
-docker_path:=$(strip $(shell which docker))
-
-export TOIL_DOCKER_REGISTRY?=quay.io/ucsc_cgl
-export TOIL_DOCKER_NAME?=toil
-export TOIL_APPLIANCE_SELF:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME):$(docker_tag)
-
 green=\033[0;32m
 normal=\033[0m
 red=\033[0;31m
@@ -138,36 +117,26 @@
 	- rm -rf dist
 	- rm src/toil/version.py
 
-
 # We always claim to be Travis, so that local test runs will not skip Travis tests.
 # Gitlab doesn't run tests via the Makefile.
 
+# The auto-deployment test needs the docker appliance
+test: check_venv check_build_reqs docker
+	TRAVIS=true \
+	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)
+
+
 # This target will skip building docker and all docker based tests
+# these are our travis tests; rename?
 test_offline: check_venv check_build_reqs
 	@printf "$(cyan)All docker related tests will be skipped.$(normal)\n"
 	TOIL_SKIP_DOCKER=True \
 	TRAVIS=true \
 	    $(python) -m pytest $(pytest_args_local) $(tests_local)
 
-# The auto-deployment test needs the docker appliance
-test: check_venv check_build_reqs docker
-	TRAVIS=true \
-	    $(python) -m pytest --cov=toil $(pytest_args_local) $(tests)
-
-# For running integration tests locally in series (uses the -s argument for pyTest)
-integration_test_local: check_venv check_build_reqs sdist push_docker
-	TRAVIS=true \
-	    $(python) run_tests.py --local integration-test $(tests)
-
-test_integration: check_venv check_build_reqs docker
-	TRAVIS=true \
-	    $(python) run_tests.py integration-test $(tests)
-
 ifdef TOIL_DOCKER_REGISTRY
 
 docker_image:=$(TOIL_DOCKER_REGISTRY)/$(TOIL_DOCKER_NAME)
-docker_short_tag:=$(shell $(python) version_template.py dockerShortTag)
-docker_minimal_tag:=$(shell $(python) version_template.py dockerMinimalTag)
 
 grafana_image:=$(TOIL_DOCKER_REGISTRY)/toil-grafana
 prometheus_image:=$(TOIL_DOCKER_REGISTRY)/toil-prometheus
@@ -189,19 +158,20 @@
 
 	@set -ex \
 	; cd docker \
-	; docker build --tag=$(docker_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(docker_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/prometheus \
-	; docker build --tag=$(prometheus_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(prometheus_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/grafana \
-	; docker build --tag=$(grafana_image):$(docker_tag) -f Dockerfile .
-	
+	; docker build --tag=$(grafana_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 	@set -ex \
 	; cd dashboard/mtail \
-	; docker build --tag=$(mtail_image):$(docker_tag) -f Dockerfile .
+	; docker build --tag=$(mtail_image):$(TOIL_DOCKER_TAG) -f Dockerfile .
+
 
 docker/$(sdist_name): dist/$(sdist_name)
 	cp $< $@
@@ -211,14 +181,14 @@
 
 clean_docker:
 	-rm docker/Dockerfile docker/$(sdist_name)
-	-docker rmi $(docker_image):$(docker_tag)
+	-docker rmi $(docker_image):$(TOIL_DOCKER_TAG)
 
 push_docker: docker
 	# Weird if logic is so we fail if all the pushes fail
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(docker_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(grafana_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(prometheus_image):$(docker_tag) && break || sleep 60; done
-	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(mtail_image):$(docker_tag) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(docker_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(grafana_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(prometheus_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
+	for i in $$(seq 1 6); do if [[ $$i == "6" ]] ; then exit 1 ; fi ; docker push $(mtail_image):$(TOIL_DOCKER_TAG) && break || sleep 60; done
 
 else
 
@@ -235,7 +205,7 @@
 clean_docs: check_venv
 	- cd docs && make clean
 
-clean: clean_develop clean_sdist clean_pypi clean_docs
+clean: clean_develop clean_sdist clean_docs
 
 check_build_reqs:
 	@$(python) -c 'import mock; import pytest' \
@@ -269,12 +239,10 @@
 		check_cpickle \
 		develop clean_develop \
 		sdist clean_sdist \
-		test test_offline test_parallel integration_test \
-		pypi clean_pypi \
+		test test_offline \
 		docs clean_docs \
 		clean \
 		check_venv \
 		check_clean_working_copy \
-		check_running_on_jenkins \
 		check_build_reqs \
 		docker clean_docker push_docker

=== debian/changelog ===
toil (3.24.0-1) unstable; urgency=medium

  * New upstream version
  * refresh debian/patches/settings_version.patch from pypi sdist (must be
    done with every new upstream release!)
  * Allow the newer schema salad package (Closes: #951139)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 14 Feb 2020 13:41:12 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-urllib3,
                python3-chardet,
                python3-sphinx
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/toil
 Vcs-Git: https://salsa.debian.org/med-team/toil.git
 Homepage: https://github.com/BD2KGenomics/toil

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=toil

export PYBUILD_DESTDIR_python3=debian/toil/

export PYBUILD_DISABLE=test
export PYBUILD_DISABLE_python2=1
#CURDIR ?= $(realpath $(dir $(firstword $(MAKEFILE_LIST)))/..)
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=$(CURDIR)/src $(MAKE) -C docs man

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian -name cwltoil -delete
	# remove the below once mesos is packaged and tested
	find $(CURDIR)/debian -name _toil_mesos_executor -delete

# more py3 test fixes need to be cherry-picked from upstream
# override_dh_auto_test:
# 	PYBUILD_SYSTEM=custom \
# 	PYBUILD_TEST_ARGS='TOIL_SKIP_DOCKER=True {interpreter} -m pytest -vv \
# 	        -W ignore \
# 		-k "not test_bioconda and not test_run_conformance and not testImportFtpFile" -n auto\
		{dir}/src/toil/test' dh_auto_test --buildsystem pybuild

	# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman  docs/ build/man  # Manpage generator

override_dh_auto_clean:
	rm -rf .pybuild
	rm -rf docs/_build
	find . -name "*.pyc" -delete
